public CastUnitDrawing(Dynamic.Tekla.Structures.Identifier castUnitIdentifier, Dynamic.Tekla.Structures.Drawing.CastUnitDrawing.CastUnitDrawingCreationType castUnitDrawingCreationType)
        {
            var args = new object[2];

            args[0]          = Dynamic.Tekla.Structures.Identifier_.GetTSObject(castUnitIdentifier);
            args[1]          = Dynamic.Tekla.Structures.Drawing.CastUnitDrawing.CastUnitDrawingCreationType_.GetTSObject(castUnitDrawingCreationType);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.CastUnitDrawing", args);
        }
        public CastUnitDrawing(Dynamic.Tekla.Structures.Identifier castUnitIdentifier, Dynamic.Tekla.Structures.Drawing.CastUnitDrawing.CastUnitDrawingCreationType castUnitDrawingCreationType, System.Int32 sheetNumber, System.String AttributeFile)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Identifier_.GetTSObject(castUnitIdentifier);
            args[1]          = Dynamic.Tekla.Structures.Drawing.CastUnitDrawing.CastUnitDrawingCreationType_.GetTSObject(castUnitDrawingCreationType);
            args[2]          = sheetNumber;
            args[3]          = AttributeFile;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.CastUnitDrawing", args);
        }